Bug 1085847 - systemd-udevd needs new group render.
systemd-udevd needs new group render.
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Thorsten Kukuk
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-19 14:53 UTC by Thorsten Kukuk
Modified: 2021-02-11 11:35 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Kukuk 2018-03-19 14:53:56 UTC
From the logs: systemd-udevd[202]: Specified group 'render' unknown
Comment 1 Franck Bui 2018-03-21 10:16:32 UTC
Since you redefined all basic/hw groups via system-group-hardware & Co, why don't you add "render" there ?

"render" is defined in the basic groups systemd defines but we dropped it in favour of your system-group-* packages.
Comment 2 Thorsten Kukuk 2018-03-21 10:23:54 UTC
(In reply to Franck Bui from comment #1)
> Since you redefined all basic/hw groups via system-group-hardware & Co, why
> don't you add "render" there ?

Because it is not my job to look daily if systemd has new requirements, it is your job to make all necessary changes to the system if you update systemd. Why did you not make even a smoke test if the new systemd reports errors during boot or not?

> "render" is defined in the basic groups systemd defines but we dropped it in
> favour of your system-group-* packages.

We dropped the idea of using systemd-sysusers since systemd has too many dependencies and thus the groups are created far to late during installation. The first PoC did use systemd-sysusers, and a working installation was not possible at all.
Additional, small images especially like containers don't want systemd, but they need this users and groups, not possible with systemd-sysusers, too.

If systemd wants to become authoritative, it needs to become lean with only the minimal necessary dependencies, so that we can install very, very early.
Comment 3 Franck Bui 2018-03-21 10:37:34 UTC
(In reply to Thorsten Kukuk from comment #2)
> (In reply to Franck Bui from comment #1)
> > Since you redefined all basic/hw groups via system-group-hardware & Co, why
> > don't you add "render" there ?
> 
> Because it is not my job to look daily if systemd has new requirements, it
> is your job to make all necessary changes to the system if you update
> systemd. Why did you not make even a smoke test if the new systemd reports
> errors during boot or not?
> 

But since you spotted the issue why don't you help fixing it. That would take the same amount of your time instead of both of us wasting our time now.

Anyways I don't want to waste more time on this.

What should be done ?

  1. add "render" in your system-group-hardware package
  2. create the group in systemd

> If systemd wants to become authoritative, it needs to become lean with only
> the minimal necessary dependencies, so that we can install very, very early.

This is completely out of topic so I prefer skipping this part.
Comment 4 Thorsten Kukuk 2018-03-21 10:43:16 UTC
(In reply to Franck Bui from comment #3)
> But since you spotted the issue why don't you help fixing it. That would
> take the same amount of your time instead of both of us wasting our time now.
> 
> Anyways I don't want to waste more time on this.
> 
> What should be done ?
> 
>   1. add "render" in your system-group-hardware package
>   2. create the group in systemd

I have no idea who this group all needs. If this is systemd special only,
systemd is correct, if this is from more interest, system-group-hardware is correct.

> > If systemd wants to become authoritative, it needs to become lean with only
> > the minimal necessary dependencies, so that we can install very, very early.
> 
> This is completely out of topic so I prefer skipping this part.

Hm, you brought up the topic and if you dislike the answer, you explain it to out of topic?
Comment 5 Franck Bui 2018-03-21 10:54:11 UTC
(In reply to Thorsten Kukuk from comment #4)
> I have no idea who this group all needs. If this is systemd special only,
> systemd is correct, if this is from more interest, system-group-hardware is
> correct.

Usually the groups that udev assigned to device nodes are for broader audience... udev is not supposed to use them afterwards...
Comment 6 Franck Bui 2018-03-22 14:06:05 UTC
So... here the SR that add the group 'render' to systemd-group-hardware: https://build.opensuse.org/request/show/589739

At that point I cannot do more so I'm reassigning this bug to you.
Comment 7 Thorsten Kukuk 2018-03-26 09:19:06 UTC
Fixed